{% extends 'base.html.twig' %}

{% block body %}
    <div class="container-fluid">
        <div class="row my-4">
            {% if not menu_render.onlyReception and (menu_render.userCanChangeOwnPassword or  menu_render.showBadge) %}
                <div class="col-12 col-md-4 col-xxl-3 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title"><i class="fa-solid fa-user pe-1"></i></i>Utente</h5>
                            <ul class="list-group list-group-flush">
                                {% if menu_render.userCanChangeOwnPassword %}
                                    <li class="list-group-item">
                                        <a href="{{ url('changeMyPassword') }}" class="card-link">Cambia la tua
                                            password</a>
                                    </li>
                                {% endif %}
                                {% if menu_render.showBadge %}
                                    <li class="list-group-item">
                                        <a href="{{ url ('printMyBadge' ) }}" class="card-link">Stampa il tuo badge
                                            informatico</a>
                                    </li>
                                {% endif %}
                            </ul>
                        </div>
                    </div>
                </div>
            {% endif %}
            {% if not menu_render.disableGuest %}
                {% if is_granted('ROLE_RECEPTION') %}
                    <div class="col-12 col-md-4 col-xxl-3 mb-3">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title"><i class="fa-solid fa-concierge-bell pe-1"></i>Reception</h5>
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item">
                                        <a href="{{ url('guest') }}" class="card-link">Gestione degli ospiti</a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                {% endif %}
            {% endif %}
            {% if not menu_render.onlyReception and is_granted('ROLE_TEACHER') %}
                <div class="col-12 col-md-4 col-xxl-3 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title"><i class="fa-solid fa-pen-ruler pe-1"></i>Insegnante</h5>
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item">
                                    <a href="{{ url('group_providers_list') }}" class="card-link">Visualizza gli elenchi di classe</a>
                                </li>
                                {% if is_granted('ROLE_LAB_TEACHER') %}
                                <li class="list-group-item">
                                    <a href="{{ url('lab_internet_list') }}" class="card-link">Attivazione internet laboratori</a>
                                </li>
                                {% endif %}
                            </ul>
                        </div>
                    </div>
                </div>
            {% endif %}
            {% if not menu_render.onlyReception and is_granted('ROLE_ACCOUNTS_MANAGER') %}
                <div class="col-12 col-md-4 col-xxl-3 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title"><i class="fa-solid fa-users pe-1"></i>Gestione Utenti</h5>
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item">
                                    <a href="{{ url('student_list') }}" class="card-link" data-prefetch>Lista Studenti</a>
                                </li>
                                {% if is_granted('ROLE_ADMIN') %}
                                <li class="list-group-item">
                                    <a href="{{ url('teacher_list') }}" class="card-link" data-prefetch>Lista Docenti</a>
                                </li>
                                {% endif %}
                                <li class="list-group-item">
                                    <a href="{{ url('trash_sync') }}" class="card-link">Sincronizzazione</a>
                                </li>
                                <li class="list-group-item">
                                    <a href="{{ url('trash_index') }}" class="card-link">Cestino</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            {% endif %}
            {% if is_granted('ROLE_MDM_MANAGER') %}
                <div class="col-12 col-md-4 col-xxl-3 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">
                                <i class="fa-solid fa-tablet pe-1"></i>Dispositivi Gestiti
                            </h5>
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item">
                                    <a href="{{ url('mdm_device_list') }}" class="card-link">Lista dispositivi gestiti</a>
                                </li>
                                <li class="list-group-item">
                                    <a href="{{ url('mdm_device_show_student_without_device') }}" class="card-link">Lista studenti senza dispositivo</a>
                                </li>
                                <li class="list-group-item">
                                    <a href="{{ url('mdm_device_show_teacher_without_device') }}" class="card-link">Lista docenti senza dispositivo</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            {% endif %}

            {% if not menu_render.disableMikrotik and (is_granted('ROLE_ADMIN') or is_granted('ROLE_NETWORK_OPERATOR')) %}
                <div class="col-12 col-md-4 col-xxl-3 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title"><i class="fa-solid fa-network-wired pe-1"></i>Rete</h5>
                            <ul class="list-group list-group-flush">
                                {% if not menu_render.disableMikrotikBypass %}
                                    <li class="list-group-item">
                                        <a href="{{ url('device') }}" class="card-link" data-prefetch>Gestione ip e dispositivi</a>
                                    </li>
                                {% endif %}
                                {% if not menu_render.disableMikrotikIPs %}
                                    <li class="list-group-item"><a href="{{ url('mikrotik_list') }}" class="card-link" data-prefetch>Liste IP</a></li>
                                {% endif %}
                                {% if not menu_render.disableMikrotikIPs and is_granted('ROLE_ADMIN') %}
                                    <li class="list-group-item"><a href="{{ url('mikrotik_pool') }}" class="card-link" data-prefetch>Pool di indirizzi IP</a></li>
                                {% endif %}

                                {% if is_granted('ROLE_ADMIN') %}
                                    <li class="list-group-item"><a href="{{ url('mikrotik') }}" class="card-link" data-prefetch>Router Mikrotik</a></li>
                                    <li class="list-group-item"><a href="{{ url('fortigate') }}" class="card-link" data-prefetch>Router Fortigate</a></li>
                                {% endif %}
                            </ul>
                        </div>
                    </div>
                </div>
            {% endif %}

            {% if is_granted('ROLE_ADMIN') %}
                <div class="col-12 col-md-4 col-xxl-3 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title"><i class="fa-solid fa-crown pe-1"></i>Amministratore</h5>
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item"><a href="{{ url('config_edit') }}" class="card-link" data-prefetch>Configurazione igroove</a></li>
                                {% if not menu_render.onlyReception %}
                                    <li class="list-group-item">
                                        <a href="{{ app.request.scheme ~ '://' ~ app.request.host }}:15672/#/queues"
                                           class="card-link"
                                           target="_blank">Gestione RabbitMQ
                                        </a>
                                    </li>
                                {% endif %}
                                <li class="list-group-item"><a href="{{ url('admin') }}">Backend database</a></li>

                            </ul>
                            {% if version.versionInstalled!=version.versionAvailable %}
                                <div class="alert alert-danger">
                                    Stai usando igroove
                                    versione {{ version.versionInstalled }}
                                    mentre è disponibile la versione {{ version.versionAvailable }}.
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>
    </div>

{% endblock %}



